Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

Error while upgrading to 6.1 build 8985

rogert45520942
Level 1
Level 1

Hi,

We're currently working on upgrading our staging instance from 6.1 build 8724 to 6.1 build 8985. We've the following error while installing the package.

Ignoring resources file: /usr/local/neolane/nl6/bin/lang/nlserver.eng

SRV-810031 Bad version for the shared memory block 'NlServerContext6.0'. Current version is 105, expected version 106. Please restart all services (nlserver and web server)...

  Cleanup    : nlserver6-8724-0.x86_64     

Synchronization of resources is not done. Restart of postupgrade, even with '-force' or any other nlserver command doesn't work (same error).

Any idea ?

Thanks for your help.

Roger

1 Accepted Solution
ananya_kuthiala
Correct answer by
Employee
Employee

Hi rogert45520942

As stated in error message "Please restart all services (nlserver and web server)" You should stop all nlserver processes from running and all web servers (either apache, or IIS to kill attached nlsrvmod).

Issue comes from the fact that if web server is still running after a post-upgrade from a build prior to ACC-18.6.2.8949 to a build after ACC-18.6.2.8949 then nlsrvmod attached to web server will still hold a reference to 'old' shared memory (version 105). This will prevent nlserver (or web server attached nlsrvmod) from deleting it before recreating 'new' shared memory (version 106).

If stopping all nlserver processes and web server (i.e. apache or IIS to kill attached nlsrvmod) is not enough you might go through a clean restart.

/etc/init.d/nlserver* stop

/etc/init.d/apache2 stop

for i in `ipcs -s | awk '/www-data/ {print $2}'`; do (ipcrm -s $i); done

for i in `ipcs -m | awk '/www-data/ {print $2}'`; do (ipcrm shm $i); done

for i in `ipcs -m | awk '/neolane/ {print $2}'`; do (ipcrm shm $i); done

for i in `ipcs -s | awk '/neolane/ {print $2}'`; do (ipcrm -s $i); done

/etc/init.d/apache2 restart

/etc/init.d/nlserver* start

Regards,

Ananya Kuthiala

View solution in original post

2 Replies
ananya_kuthiala
Correct answer by
Employee
Employee

Hi rogert45520942

As stated in error message "Please restart all services (nlserver and web server)" You should stop all nlserver processes from running and all web servers (either apache, or IIS to kill attached nlsrvmod).

Issue comes from the fact that if web server is still running after a post-upgrade from a build prior to ACC-18.6.2.8949 to a build after ACC-18.6.2.8949 then nlsrvmod attached to web server will still hold a reference to 'old' shared memory (version 105). This will prevent nlserver (or web server attached nlsrvmod) from deleting it before recreating 'new' shared memory (version 106).

If stopping all nlserver processes and web server (i.e. apache or IIS to kill attached nlsrvmod) is not enough you might go through a clean restart.

/etc/init.d/nlserver* stop

/etc/init.d/apache2 stop

for i in `ipcs -s | awk '/www-data/ {print $2}'`; do (ipcrm -s $i); done

for i in `ipcs -m | awk '/www-data/ {print $2}'`; do (ipcrm shm $i); done

for i in `ipcs -m | awk '/neolane/ {print $2}'`; do (ipcrm shm $i); done

for i in `ipcs -s | awk '/neolane/ {print $2}'`; do (ipcrm -s $i); done

/etc/init.d/apache2 restart

/etc/init.d/nlserver* start

Regards,

Ananya Kuthiala

View solution in original post

Prasanna_Soni
Level 4
Level 4
After stopping on web server Do i need to re-run the command on app server "rpm --nodeps -Uvh nlserver6-v7-9032-x86_64_rh7.rpm"